// Updates: 2003.06.13


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import java.io.*;
import java.util.*;


public class Signal extends JPanel {
  int minColor = 100;
  int red, green;
  
  
  public Signal() {
    setPreferredSize(new Dimension(120, 120));
    red = 255;
    green = minColor; 
  }
  
  
  public void paintComponent(Graphics g) {
    super.paintComponent(g);
    ((Graphics2D)g).setRenderingHints(new RenderingHints(RenderingHints.KEY_ANTIALIASING, RenderingHints.VALUE_ANTIALIAS_ON));
    g.setColor(Color.black);
    g.fillRoundRect(15, 40, 30, 55, 25, 25);
    g.setColor(new Color(red, 0, 0));
    g.fillOval(20, 45, 20, 20);
    g.setColor(Color.blue);
    g.drawString("Closed", 60, 60);
    g.setColor(new Color(0, green, 0));
    g.fillOval(20, 70, 20, 20);    
    g.setColor(Color.blue);
    g.drawString("Open", 60, 85);    
  }

  
  public void setRed() {
    red = 255;
    green = minColor;
    repaint();
  }
  
  
  public void setGreen() {
    red = minColor;
    green = 255;
    repaint();
  }
  
  
  public boolean isRed() {
    return (red == 255);
  }
  
  
  public boolean isGreen() {
    return (green == 255);
  }  
}