// Updates: 2003.06.13


package ecash.internet;


/**
 * Extension of the Report class which adds the account number.
 * @author Michel Deriaz
 * @see Report
 */
public final class BuyReport extends Report {
  private String accountNumber = null;
  

  /**
   * Creates a report.
   */  
  public BuyReport() {
  }
  

  /**
   * Returns the account number.
   * @return the account number
   */
  public String getAccountNumber() {
    return accountNumber;
  }


  /**
   * Sets the account number.
   * @param accountNumber the account number
   */
  public void setAccountNumber(String accountNumber) {
    this.accountNumber = accountNumber;
  }    
}  