// Updates: 2003.06.13


package ecash.internet;


/**
 * This interface must be implemented by every class that creates an 
 * ECashBuyer object.
 * @author Michel Deriaz
 * @see ECashBuyer
 */
public interface ECashBuyerListener {
  

  /**
   * Called after a buy or a pay operation. The idea is to save the state
   * of the program each time this method is called.
   */   
  public void buyerPurseChanged();
}