// Updates: 2003.06.13


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.util.*;


public class AboutDialog extends JDialog implements ActionListener {
  JButton ok;
  
  
  public AboutDialog(JFrame client) {
    super(client, "   About...", true);
    JPanel p = new JPanel();
    p.setBackground(Color.white);
    p.setBorder(BorderFactory.createEmptyBorder(10, 10, 10, 10));
    p.setLayout(new BorderLayout());
    p.add(new Picture("Splash.png"), BorderLayout.CENTER);
    JPanel panButtons = new JPanel();
    panButtons.setBackground(Color.white);
    ok = new JButton("OK");
    ok.addActionListener(this);
    panButtons.add(ok);
    p.add(panButtons, BorderLayout.SOUTH);
    
    getContentPane().add(p);
    setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);    
    setSize(300, 350);
    setLocationRelativeTo(client);    
    show();    
  }
  

  public void actionPerformed(ActionEvent e) {
    if (e.getSource().equals(ok)) hide();
  }  
}     