// Updates: 2003.02.15, 2003.06.13


/* 
 * This interface describes the method that must be implemented by the 
 * listeners of the Index class.
 */


public interface IndexListener {


  /*
   * Called each time that the user click on the delete button.
   */  
  public void deleteItem();
  
  
  /*
   * Called each time that the user entry a new string in the textfield.
   * - isKnown is true if the index contains the entry, false else.
   * - item contains the new entry.
   */  
  public void newInput(boolean isKnown, String item);   
}     