// Updates: 2003.06.13


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;


public class IndexMyCellRenderer extends JLabel implements ListCellRenderer {
  boolean red;
  
   
  public Component getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus) {
    setText("  " + (String)value);
    if (red) setForeground(Color.red);
    else setForeground(Color.black);
    if (isSelected) {
      setOpaque(true);
      setBackground(Color.cyan);
    }
    else setOpaque(false);
    return this;
  }


  public void toBlack() {
    red = false;
  }
  
    
  public void toRed() {
    red = true;
  }
}