// Updates: 2003.06.13


import java.io.*;
import java.util.*;


public class Props  {
  static Properties properties;
  static String filename;
  
  
  public static void load(String filenamePart) {
    filename = filenamePart + ".properties";
    properties = new Properties();
    try {
      properties.load(new FileInputStream(filename));
    }
    catch (IOException e) {}
  }

    
  public static String get(String name) {
    if (properties == null) return null;
    return properties.getProperty(name);
  }


  public static void set(String name, String value) {
    properties.setProperty(name, value);
    try {
      properties.store(new FileOutputStream(filename), null);
    }
    catch (IOException e) {
      System.out.println("Error in Props.set(): " + e);
    }
  }
}