// Updates: 2003.06.13


import java.io.*;
import java.util.*;


public class PropFile  {
  private Properties properties;
  private String filename;
  
  
  public PropFile(String filenamePart) {
    filename = filenamePart + ".properties";
    properties = new Properties();
    try {
      properties.load(new FileInputStream(filename));
    }
    catch (IOException e) {
    }
  }

    
  public String get(String name) {
    if (properties == null) return null;
    return properties.getProperty(name);
  }


  public void set(String name, String value) {
    properties.setProperty(name, value);
    try {
      properties.store(new FileOutputStream(filename), null);
    }
    catch (IOException e) {
      System.out.println("Error in PropFile.set(): " + e);
    }
  }
}