// Updates: 2003.06.13


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.util.*;


public class AccountsList extends JPanel { 
  JList li;


  public AccountsList() {
    setLayout(new BorderLayout());
    setBorder(BorderFactory.createEmptyBorder(10, 10, 10, 10));
    JPanel p = new JPanel();
    p.setLayout(new BorderLayout());
    p.setBorder(BorderFactory.createTitledBorder("  Accounts  "));
    li = new JList();
    li.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
    li.setCellRenderer(new AccountsListCellRenderer());
    JScrollPane scrollPane = new JScrollPane(li);
    p.add(scrollPane, BorderLayout.CENTER);    
    add(p, BorderLayout.CENTER);
  }


  public Account getSelected() {
    return (Account)li.getSelectedValue();
  }
  

  public void setValues(Vector list) {
    li.setListData(list);    
    repaint();
  }


  public void addMouseListener(MouseListener l) {
    li.addMouseListener(l);
  }
}