// Updates: 2003.06.13


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.util.*;
import java.io.*;


public class HelpPane extends JPanel {
  private final String FILENAME = "./System/Help.txt";
   
     
  public HelpPane() {
    setLayout(new BorderLayout());
    JTextArea ta = new JTextArea();
    ta.setEditable(false);
    ta.setMargin(new Insets(5, 5, 5, 5));
    ta.setForeground(Color.blue);
    ta.setText(readFile(FILENAME));
    JScrollPane scrollPane = new JScrollPane(ta);
    add(scrollPane, BorderLayout.CENTER);            
  }
  
  
  private String readFile(String name) {
    File f = new File(name);
    int size = (int)f.length ();
    char cbuf[] = new char[size];
    try {
      FileReader fr = new FileReader(name);    
      fr.read(cbuf);
      fr.close();
    }
    catch(IOException ioe) {
      return null;
    }
    return String.valueOf(cbuf);
  }
}  