// Updates: 2003.06.13


import ecash.kernel.*;
import java.io.*;
import java.util.*;


public class Note implements Serializable, Comparable {
  double value;
  boolean selected;
  
  
  public Note(String value) {
    this.value = Tools.round(value);
  }
  

  public String getValue() {
    return "" + value;
  }
  
  
  public double getValueDouble() {
    return value;
  }


  public boolean isSelected() {
    return selected;
  }
  
          
  public void select() {
    selected = true;
  }
  
  
  public void unselect() {
    selected = false;
  }
  

  public int compareTo(Object obj) {
    Note aNote = (Note)obj;
    double d2 = Double.parseDouble(aNote.getValue());
    if (value < d2) return -1;
    if (value > d2) return 1;
    return 0;
  }
}